#-----------------------------------------------------------------------------
%define		dist		.ok
%define		shortname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	mate-settings-daemon
Version		:	1.27.0
Release		:	14.4.0.0%{?dist}
Summary		:	The daemon sharing settings from Mate to GTK+/KDE applications
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf-archive
BuildRequires	:	dbus-glib-devel
BuildRequires	:	dconf
BuildRequires	:	gtk3+
BuildRequires	:	libcanberra
BuildRequires	:	libmatekbd
BuildRequires	:	libmatemixer
BuildRequires	:	libnotify
BuildRequires	:	intltool
BuildRequires	:	mate-desktop
BuildRequires	:	mate-common
BuildRequires	:	polkit-devel
BuildRequires	:	pulseaudio
BuildRequires	:	tdb-devel
#-----------------------------------------------------------------------------
%description
A daemon to share settings from MATE to other applications. It also
handles global keybindings, as well as a number of desktop-wide
settings.

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_includedir}/%{name}/%{shortname}-*.h
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_sysconfdir}/xrdb/*.ad
%{_libdir}/udev/rules.d/61-%{name}-*.rules
%{_libdir}/%{name}/*-plugin
%{_libdir}/%{name}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libexecdir}/%{name}
%{_libexecdir}/msd-*
%{_datadir}/glib-2.0/schemas/org.mate.*.gschema.xml
%{_datadir}/icons/hicolor/*/apps/msd-xrandr.png
%{_datadir}/icons/hicolor/scalable/apps/msd-xrandr.svg
%{_datadir}/dbus-1/system.d/org.%{shortname}.*.conf
%{_datadir}/dbus-1/services/org.%{shortname}.*.service
%{_datadir}/dbus-1/system-services/org.%{shortname}.*.service
%{_datadir}/%{shortname}-control-center/keybindings/50-accessibility.xml
%{_datadir}/%{name}/icons/hicolor/64x64/devices/kbd*.png
%{_datadir}/%{name}/*.ui
%{_datadir}/polkit-1/actions/org.%{shortname}.*.policy
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/msd*.1.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%version	\
	--disable-schemas-compile			\
	--disable-static				\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
